## ruby-numru-units 1.7

=== src/Makefile ===
all: units.rb

units.rb: units.racc
	racc -E -l units.racc -o tmp.rb
	(ruby -n -e 'if /^class Units/; print("module NumRu\n",$$_); elsif /end\s*#\s*class\s*Units/; print($$_,"end   # module NumRu\n"); else print $$_; end' tmp.rb > units.rb)
	(( echo ; echo '####################' ; echo 'if $$0 == __FILE__' ; tail -n +2 test.rb | ruby -p -e 'print "  "' ; echo 'end' )  >> units.rb)
	@rm tmp.rb

test: units.rb
	ruby test.rb

backup: units.shar
	scp units.shar toyoda@www.gfd-dennou.org:tmp/
	scp units.shar toyoda@pandora0.sytes.net:tmp/

RSRCS = rules.rb node.rb namenode.rb utab.rb numbernode.rb timenode.rb \
    pownode.rb mulnode.rb shiftnode.rb lex.rb

utab.rb: makeutab.rb dcunits.txt
	ruby makeutab.rb dcunits.txt > $@.tmp
	mv $@.tmp $@

units.racc: $(RSRCS)
	cat $(RSRCS) > $@.tmp
	mv $@.tmp $@

edit:
	$${EDITOR:-vi} $(RSRCS)

SRCS = Makefile units.rb dcunits.txt makeutab.rb $(RSRCS) test.rb units.rd

shar: units.shar

units.shar: $(SRCS)
	shar $(SRCS) > units.shar

=== debian/changelog ===
ruby-numru-units (1.7-1) unstable; urgency=medium

  * Initial Release (Closes: #546754)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 01 Feb 2014 01:15:24 +0900

=== debian/control ===
Source: ruby-numru-units
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~), gem2deb
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-numru-units.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-numru-units.git;a=summary
Homepage: http://ruby.gfd-dennou.org/products/numru-units
XS-Ruby-Versions: all

Package: ruby-numru-units
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, racc
Description: Ruby class library to handle units of physical quantities
 Numru-units is a class to handle units of physical quantities.
 It covers most functionality of UNIDATA's UDUNITS Library
 (http://www.unidata.ucar.edu/packages/udunits), however,
 with a more sophisticated handling of string expressions.

=== debian/watch ===
version=3
http://www.gfd-dennou.org/library/ruby/products/numru-units/release/ numru-units-(.*)\.tar\.gz

## ruby-numru-units 1.9

=== debian/changelog ===
ruby-numru-units (1.9-2) unstable; urgency=medium

  * Use gemwatch as upstream
  * Import gemspec files
  * Bump Standard Version: 3.9.8

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 25 Nov 2016 14:14:50 +0900

ruby-numru-units (1.9-1) unstable; urgency=medium

  * Imported Upstream version 1.9

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 20 Feb 2015 10:36:18 +0900

ruby-numru-units (1.8-1) unstable; urgency=medium

  * Imported Upstream version 1.8
  * Bump Standard Version: 3.9.6
  * Add Tests, enable autopkgtest
  * Add patch: Fix LOADPATH for execute test.rb

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 13 Jan 2015 11:38:13 +0900

=== debian/control ===
Source: ruby-numru-units
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9~),
               gem2deb
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-numru-units.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-numru-units.git
Homepage: http://ruby.gfd-dennou.org/products/numru-units
Testsuite: autopkgtest
XS-Ruby-Versions: all

Package: ruby-numru-units
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: racc,
         ruby | ruby-interpreter,
         ${misc:Depends}
Description: Ruby class library to handle units of physical quantities
 Numru-units is a class to handle units of physical quantities.
 It covers most functionality of UNIDATA's UDUNITS Library
 (http://www.unidata.ucar.edu/packages/udunits), however,
 with a more sophisticated handling of string expressions.

## ruby-numru-units 1.9.0

=== Makefile ===
all:
	@(cd src && make && cp -p units.rb ../lib/numru/)
	@(cd doc && make)

install:
	ruby install.rb

test:
	@(cd src && make test)

distclean: clean

clean:
	@rm -f `find . -name "*~" -print`

=== doc/Makefile ===
all: units.html

units.html: units.rd
	rd2 units.rd | sed -e 's/<dt>/<dt><h4>/' -e 's/<\/dt>/<\/h4><\/dt>/' \
           > units.html

=== src/Makefile ===
all: units.rb

units.rb: units.racc
	racc units.racc -o units.rb
	(( echo ; echo '####################' ; echo 'if $$0 == __FILE__' ; tail -n +2 test.rb | ruby -p -e 'print "  "' ; echo 'end' )  >> units.rb)

test: units.rb
	ruby test.rb

backup: units.shar
	scp units.shar toyoda@www.gfd-dennou.org:tmp/
	scp units.shar toyoda@pandora0.sytes.net:tmp/

RSRCS = rules.rb version.rb node.rb namenode.rb utab.rb numbernode.rb \
   timenode.rb pownode.rb mulnode.rb shiftnode.rb lex.rb

utab.rb: makeutab.rb dcunits.txt
	ruby makeutab.rb dcunits.txt > $@.tmp
	mv $@.tmp $@

units.racc: $(RSRCS)
	cat $(RSRCS) > $@.tmp
	mv $@.tmp $@

edit:
	$${EDITOR:-vi} $(RSRCS)

SRCS = Makefile units.rb dcunits.txt makeutab.rb $(RSRCS) test.rb units.rd

shar: units.shar

units.shar: $(SRCS)
	shar $(SRCS) > units.shar

=== debian/changelog ===
ruby-numru-units (1.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Update watch file format version to 4.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Bump debhelper from old 12 to 13.

  [ HIGUCHI Daisuke (VDR dai) ]
  * eliminate lintian warning: ruby-interpreter-is-deprecated
  * eliminate lintian warning: debian-watch-uses-insecure-uri
  * eliminate lintian warning: patch-not-forwarded-upstream
  * eliminate lintian warning: update-debian-copyright
  * Bump Standard Version: 4.6.1
  * set Rules-Requires-Root as no.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 16 Jul 2022 23:34:06 +0900

ruby-numru-units (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Refresh patches
  * Bump debhelper >= 10
  * Bump Standard Version: 4.0.0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 31 Aug 2017 09:55:15 +0900

=== debian/control ===
Source: ruby-numru-units
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-numru-units.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-numru-units
Homepage: http://ruby.gfd-dennou.org/products/numru-units
Rules-Requires-Root: no
XS-Ruby-Versions: all

Package: ruby-numru-units
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: racc,
         ruby:any,
         ${misc:Depends}
Description: Ruby class library to handle units of physical quantities
 Numru-units is a class to handle units of physical quantities.
 It covers most functionality of UNIDATA's UDUNITS Library
 (http://www.unidata.ucar.edu/packages/udunits), however,
 with a more sophisticated handling of string expressions.

=== debian/watch ===
version=4
https://gemwatch.debian.net/numru-units .*/numru-units-(.*).tar.gz
